| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_voip_calls_tapinfo Struct Reference

## Public Attributes
tap_reset_cb | tap_reset
tap_packet_cb | tap_packet
tap_draw_cb | tap_draw
void * | tap_data
int | ncalls
GQueue * | callsinfos
GHashTable * | callsinfo_hashtable [1]
int | npackets
voip_calls_info_t * | filter_calls_fwd
int | start_packets
int | completed_calls
int | rejected_calls
seq_analysis_info_t * | graph_analysis
epan_t * | session
int | nrtpstreams
GList * | rtpstream_list
uint32_t | rtp_evt_frame_num
uint8_t | rtp_evt
bool | rtp_evt_end
char * | sdp_summary
uint32_t | sdp_frame_num
uint32_t | mtp3_opc
uint32_t | mtp3_dpc
uint8_t | mtp3_ni
uint32_t | mtp3_frame_num
struct _h245_labels * | h245_labels
uint8_t | q931_cause_value
int32_t | q931_crv
uint32_t | q931_frame_num
uint32_t | h225_frame_num
uint16_t | h225_call_num
int | h225_cstype
bool | h225_is_faststart
uint32_t | sip_frame_num
uint32_t | actrace_frame_num
int32_t | actrace_trunk
int32_t | actrace_direction
flow_show_options | fs_option
uint32_t | redraw
bool | apply_display_filter

## Member Data Documentation

## ◆ callsinfo_hashtable

GHashTable* _voip_calls_tapinfo::callsinfo_hashtable[1]

array of hashes per voip protocol (voip_calls_info_t); currently only the one for SIP is used

## ◆ callsinfos

GQueue* _voip_calls_tapinfo::callsinfos

queue with all calls (voip_calls_info_t)

## ◆ filter_calls_fwd

voip_calls_info_t* _voip_calls_tapinfo::filter_calls_fwd

used as filter in some tap modes

## ◆ h245_labels

struct _h245_labels* _voip_calls_tapinfo::h245_labels

H.245 labels

## ◆ ncalls

int _voip_calls_tapinfo::ncalls

number of call

## ◆ npackets

int _voip_calls_tapinfo::npackets

total number of packets of all calls

## ◆ nrtpstreams

int _voip_calls_tapinfo::nrtpstreams

number of rtp streams

## ◆ rtpstream_list

GList* _voip_calls_tapinfo::rtpstream_list

list of rtpstream_info_t

## ◆ session

epan_t* _voip_calls_tapinfo::session

epan session

## ◆ tap_data

void* _voip_calls_tapinfo::tap_data

data for tap callbacks

## ◆ tap_draw

tap_draw_cb _voip_calls_tapinfo::tap_draw

tap draw callback

## ◆ tap_packet

tap_packet_cb _voip_calls_tapinfo::tap_packet

tap per-packet callback

## ◆ tap_reset

tap_reset_cb _voip_calls_tapinfo::tap_reset

tap reset callback

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/ui/voip_calls.h